Subject: Bug#620: x2goclient hides KDE kickoff start panel before application selection if panel auto hide option selected

From: Diego COSTE <[email-masked]>
Date: Wed, 24 Sep 2014 18:32:15 +0200

Package: x2goclient.x86_64
Version: 4.0.2.1-1.fc20

OS: KDE 4 on Fedora core 20 x86_64, yum-updated on Sept 23rd 2014 (both
client and server)

Description: This is now only a minor problem, as while writing this bug
report I found a way to work-around the issue.
By default I configure the main KDE panel to auto-hide: main panel (=
window manager status bar with main menu) shows only if I move the mouse
to the bottom of the screen (there is a similar option available in
Windows 95...7).

If I then access the Kickoff application launcher (start menu) with the
mouse, the menu closes after 1 or 2 seconds, before I select any
application or click on anything, so I can not access any app, except
the favourites which are available on the first menu page.
Problem does not occur when locally logging onto this server.
Problem does not occur on client's own KDE menu.
Once every 10-20 times, problem will not occur.
Problem does not occur if KDE panel is always shown (not auto-hidden) =>
Chosen work-around.

I have not found any similar bug report, but I also did not find any
easy way to search the bug reports (looking for KDE for ex).

Thank you for your kind help,
Diego

Client side:
Installed Packages
x2goagent.x86_64                                                                 
3.5.0.27-1.fc20                                              
@updates         
x2goclient.x86_64                                                                
4.0.2.1-1.fc20                                               
@updates         
x2goplugin.x86_64                                                                
4.0.2.1-1.fc20                                               
@updates         
x2goserver.x86_64                                                                
4.0.1.15-1.fc20                                              
@updates         
x2goserver-debuginfo.x86_64                                                      
4.0.1.15-1.fc20                                              
@updates-debuginfo
x2goserver-fmbindings.x86_64                                                     
4.0.1.15-1.fc20                                              
@updates         
x2goserver-printing.x86_64                                                       
4.0.1.15-1.fc20                                              
@updates         
x2goserver-xsession.x86_64                                                       
4.0.1.15-1.fc20                                              
@updates         

Server side:
Installed Packages
x2goagent.x86_64                                                               
3.5.0.27-1.fc20                                                     @updates
x2goserver.x86_64                                                              
4.0.1.15-1.fc20                                                     @updates